Skip to main content

Update Organization Data

posthttps://api-atlas.nomic.ai/v1/organization/update

⚠️ WARNING

This endpoint is unstable & not officially supported. It may be deprecated and removed in future API versions.

Update Organization Data

Request​

Body (required) application/json

organization_idstring*required

Organization ID

new_organization_nicknamestring

The new nickname for the organization.

new_organization_typestring

The new organization type

new_organization_slugstring

A new organization slug

new_organization_descriptionstring

A new description for the organization.

new_organization_logo_urlstring

A new logo for the organization.

new_organization_websitestring

A new website for the organization.

ai_subprocessorstring

The AI subprocessor for the organization.

Responses​

200Successful Response
resultstring

Default: "ok"

422Validation Error

Examples​

curl
curl -X 'POST' \
'https://api-atlas.nomic.ai/v1/organization/update' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"organization_id": "string",
"new_organization_nickname": "string",
"new_organization_type": "string",
"new_organization_slug": "string",
"new_organization_description": "string",
"new_organization_logo_url": "string",
"new_organization_website": "string",
"ai_subprocessor": "openai"
}'